Loading...
Searching...
No Matches
RDKit::AtomRingQuery Class Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::AtomRingQuery:

## Public Member Functions

| AtomRingQuery ()
| AtomRingQuery (int v)
bool | Match (const ConstAtomPtr what) const override
Queries::Query< int, ConstAtomPtr, true > * | copy () const override
| returns a copy of this query
Public Member Functions inherited from Queries::EqualityQuery< int, ConstAtomPtr, true >
| EqualityQuery ()
void | setVal (int what)
| sets our target value
const int | getVal () const
| returns our target value
void | setTol (int what)
| sets our tolerance
const int | getTol () const
| returns out tolerance
bool | Match (const ConstAtomPtr what) const override
Query< int, ConstAtomPtr, needsConversion > * | copy () const override
| returns a copy of this Query
std::string | getFullDescription () const override
| returns a fuller text description
Public Member Functions inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated
bool | getNegation () const
| returns whether or not we are negated
void | setDescription (const std::string &descr)
| sets our text description
const std::string & | getDescription () const
| returns our text description
void | setTypeLabel (const std::string &typ)
| sets our type label
const std::string & | getTypeLabel () const
| returns our text label.
void | setMatchFunc (bool(*what)(int))
| sets our match function
void | setDataFunc (int(*what)(ConstAtomPtr))
| sets our data function
void | addChild (CHILD_TYPE child)
| adds a child to our list of children
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector

## Additional Inherited Members

Public Types inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
using | CHILD_TYPE
using | CHILD_VECT
using | CHILD_VECT_I
using | CHILD_VECT_CI
using | MATCH_FUNC_ARG_TYPE
using | DATA_FUNC_ARG_TYPE
Public Attributes inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
bool(*)(int) | getMatchFunc () const
| returns our match function:
int(*)(ConstAtomPtr) | getDataFunc () const
| returns our data function:
int(* | d_dataFunc )(ConstAtomPtr)
int(* | d_dataFuncSameType )(int)
Protected Member Functions inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
int | TypeConvert (int what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what`
Protected Attributes inherited from Queries::Query< int, ConstAtomPtr, needsConversion >
int | d_val
int | d_tol
std::string | d_description
std::string | d_queryType
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(int)
union { |
MatchFuncArgType(* d_dataFunc )(DataFuncArgType) |
MatchFuncArgType(* d_dataFuncSameType )(MatchFuncArgType) |
}; |

## Detailed Description

Definition at line 709 of file QueryOps.h.

## Constructor & Destructor Documentation

## AtomRingQuery() [1/2]

RDKit::AtomRingQuery::AtomRingQuery | ( |  | ) |

inline

Definition at line 712 of file QueryOps.h.

References Queries::EqualityQuery< int, ConstAtomPtr, true >::EqualityQuery(), RDKit::queryAtomRingMembership(), Queries::Query< int, ConstAtomPtr, needsConversion >::setDataFunc(), and Queries::Query< int, ConstAtomPtr, needsConversion >::setDescription().

Referenced by copy().

## AtomRingQuery() [2/2]

RDKit::AtomRingQuery::AtomRingQuery | ( | int | v | ) |

inline explicit

Definition at line 717 of file QueryOps.h.

References Queries::EqualityQuery< int, ConstAtomPtr, true >::EqualityQuery(), RDKit::queryAtomRingMembership(), Queries::Query< int, ConstAtomPtr, needsConversion >::setDataFunc(), and Queries::Query< int, ConstAtomPtr, needsConversion >::setDescription().

## Member Function Documentation

## copy()

Queries::Query< int, ConstAtomPtr, true > * RDKit::AtomRingQuery::copy | ( |  | ) | const

inline override virtual

returns a copy of this query

Reimplemented from Queries::Query< int, ConstAtomPtr, needsConversion >.

Definition at line 739 of file QueryOps.h.

References AtomRingQuery(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_dataFunc, Queries::Query< int, ConstAtomPtr, needsConversion >::d_dataFunc, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< int, ConstAtomPtr, needsConversion >::d_description, Queries::Query< int, ConstAtomPtr, needsConversion >::d_val, Queries::Query< int, ConstAtomPtr, needsConversion >::getNegation(), Queries::EqualityQuery< int, ConstAtomPtr, true >::getTol(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation(), and Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol().

## Match()

bool RDKit::AtomRingQuery::Match | ( | const ConstAtomPtr | what | ) | const

inline override

Definition at line 724 of file QueryOps.h.

References Queries::Query< int, ConstAtomPtr, needsConversion >::d_tol, Queries::Query< int, ConstAtomPtr, needsConversion >::d_val, Queries::Query< int, ConstAtomPtr, needsConversion >::getNegation(), Queries::queryCmp(), and Queries::Query< int, ConstAtomPtr, needsConversion >::TypeConvert().

The documentation for this class was generated from the following file:

- QueryOps.h